# NAME

git-annex watch - watch for changes

# SYNOPSIS

git annex watch

# DESCRIPTION

Watches for changes to files in the current directory and its subdirectories,
and takes care of automatically adding new files, as well as dealing with
deleted, copied, and moved files. With this running as a daemon in the
background, you no longer need to manually run git commands when
manipulating your files.
  
By default, all files in the directory will be added to the repository.
(Including dotfiles.) To block some files from being added, use
`.gitignore` files.
  
By default, all files that are added are added to the annex, the same
as when you run `git annex add`. If you configure annex.largefiles,
files that it does not match will instead be added with `git add`.

# OPTIONS

* `--foreground`

  Avoid forking to the background.

* `--stop`

  Stop a running daemon in the current repository.

# SEE ALSO

[[git-annex]](1)

[[git-annex-assistant]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
